Package org.silverpeas.components.blog.model

# Class PostDetail

java.lang.Object
org.silverpeas.components.blog.model.PostDetail

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.contribution.model.WithPermanentLink`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

public final class PostDetail extends Object implements org.silverpeas.core.contribution.model.SilverpeasContent, org.silverpeas.core.contribution.model.WithPermanentLink

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PostDetail(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, String categoryId)`
  `PostDetail(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, String categoryId, Date dateEvent)`
  `PostDetail(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, Category category, int nbComments)`
  `PostDetail(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, Category category, int nbComments, Date dateEvent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Category`
  `getCategory()`
  `String`
  `getCategoryId()`
  `String`
  `getComponentInstanceId()`
  `String`
  `getContent()`
  `String`
  `getContributionType()`
  `Date`
  `getCreationDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getCreator()`
  `String`
  `getCreatorName()`
  `Date`
  `getDateEvent()`
  `String`
  `getDescription()`
  `String`
  `getId()`
  `Date`
  `getLastUpdateDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getLastUpdater()`
  `int`
  `getNbComments()`
  `String`
  `getPermalink()`
  `org.silverpeas.core.contribution.publication.model.PublicationDetail`
  `getPublication()`
  `static String`
  `getResourceType()`
  The type of this resource
  `String`
  `getSilverpeasContentId()`
  `String`
  `getTitle()`
  `void`
  `setCategory(Category category)`
  `void`
  `setCategoryId(String categoryId)`
  `void`
  `setContent(String content)`
  `void`
  `setCreatorName(String creatorName)`
  `void`
  `setDateEvent(Date dateEvent)`
  `void`
  `setNbComments(int nbComments)`
  `void`
  `setPublication(org.silverpeas.core.contribution.publication.model.PublicationDetail publication)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

  `canBeAccessedBy, getModel, getName, getResourcePath, isIndexable`

  ### Methods inherited from interface org.silverpeas.core.Instance

  `getParent`

  ### Methods inherited from interface org.silverpeas.core.security.Securable

  `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.SilverpeasContent

  `getIdentifier`

- ## Constructor Details

  - ### PostDetail

    public PostDetail(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, String categoryId)

  - ### PostDetail

    public PostDetail(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, String categoryId, Date dateEvent)

  - ### PostDetail

    public PostDetail(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, Category category, int nbComments)

  - ### PostDetail

    public PostDetail(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, Category category, int nbComments, Date dateEvent)

- ## Method Details

  - ### getContent

    public String getContent()

  - ### setContent

    public void setContent(String content)

  - ### getCategory

    public Category getCategory()

  - ### setCategory

    public void setCategory(Category category)

  - ### getNbComments

    public int getNbComments()

  - ### setNbComments

    public void setNbComments(int nbComments)

  - ### getPublication

    public org.silverpeas.core.contribution.publication.model.PublicationDetail getPublication()

  - ### setPublication

    public void setPublication(org.silverpeas.core.contribution.publication.model.PublicationDetail publication)

  - ### getCategoryId

    public String getCategoryId()

  - ### setCategoryId

    public void setCategoryId(String categoryId)

  - ### getCreatorName

    public String getCreatorName()

  - ### setCreatorName

    public void setCreatorName(String creatorName)

  - ### getDateEvent

    public Date getDateEvent()

  - ### setDateEvent

    public void setDateEvent(Date dateEvent)

  - ### getPermalink

    public String getPermalink()
    Specified by:
      `getPermalink` in interface `org.silverpeas.core.contribution.model.WithPermanentLink`

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `org.silverpeas.core.Identifiable`
    Specified by:
      `getId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

  - ### getComponentInstanceId

    public String getComponentInstanceId()
    Specified by:
      `getComponentInstanceId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

  - ### getCreator

    public org.silverpeas.core.admin.user.model.User getCreator()
    Specified by:
      `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getCreationDate

    public Date getCreationDate()
    Specified by:
      `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getLastUpdater

    public org.silverpeas.core.admin.user.model.User getLastUpdater()
    Specified by:
      `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getLastUpdateDate

    public Date getLastUpdateDate()
    Specified by:
      `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `getDescription` in interface `org.silverpeas.core.Nameable`

  - ### getContributionType

    public String getContributionType()
    Specified by:
      `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### getResourceType

    public static String getResourceType()
    The type of this resource
    Returns:
      the same value returned by getContributionType()

  - ### getSilverpeasContentId

    public String getSilverpeasContentId()
    Specified by:
      `getSilverpeasContentId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`